# Uses of Class
org.jmol.symmetry.Symmetry

Packages that use Symmetry
Package
Description
org.jmol.adapter.smarter
org.jmol.symmetry

## Uses of Symmetry in org.jmol.adapter.smarter

Subclasses of Symmetry in org.jmol.adapter.smarter
Modifier and Type
Class
Description
`static class`
`XtalSymmetry.FileSymmetry`
A class only used by adapter.smarter.XtalSymmetry while building the file-based model.

## Uses of Symmetry in org.jmol.symmetry

Fields in org.jmol.symmetry declared as Symmetry
Modifier and Type
Field
Description
`protected Symmetry`
SpecialGroup.`embeddingSymmetry`
the space group and unit cell that this group relates to; may be null
`Symmetry`
CLEG.ClegData.`sym`
Methods in org.jmol.symmetry that return Symmetry
Modifier and Type
Method
Description
`Symmetry`
SpaceGroupFinder.`checkSupercell(Viewer vwr, Symmetry uc, BS bsPoints, int abc, P3 scaling)`
Look for a supercell and adjust lattice down if necessary.
`Symmetry`
Symmetry.`setViewer(Viewer vwr, String id)`
Methods in org.jmol.symmetry with parameters of type Symmetry
Modifier and Type
Method
Description
`Symmetry`
SpaceGroupFinder.`checkSupercell(Viewer vwr, Symmetry uc, BS bsPoints, int abc, P3 scaling)`
Look for a supercell and adjust lattice down if necessary.